=== debian/changelog ===
libdfx (2022.1-0ubuntu0~xlnx2) jammy; urgency=medium

  * Update SONAME to the newly upstream defined one "libdfx1.0".
    - New patch, upstream-soname: from upstream, use SOVERSION 1.0 in
      src/CMakeLists.txt; should be part of 2022.2 release.
    - Drop patch fix-soname that was setting an Ubuntu SONAME.
    - fix-install-dir: update; still needed to install header and lib to
      their proper directories.
    - debian/control, debian/*.install: rename package libdfx0ubuntu1 to
      libdfx1.0.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 02 Oct 2022 10:22:29 +0000

libdfx (2022.1-0ubuntu0~xlnx1) jammy; urgency=medium

  * New upstream release.
    - Drop -DBUILD_SHARED_LIBS=yes as upstream always builds shared and static
      libs now.
    - Update patches fix-install-dir and fix-soname following changes to
      upstream build.
    - Update copyright file.
  * Fix watch file to track upstream tags.
  * Add shlibs:Depends to libdfx-dev.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 21 Apr 2022 11:43:34 +0000

libdfx (2021.2-0ubuntu0~xlnx1) jammy; urgency=medium

  * Initial release.
    - Add patch fix-soname to force SONAME to 0ubuntu1 while upstream
      defines a SONAME and commits to an ABI.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 19 Apr 2022 14:11:54 +0000
