=== debian/control ===
Source: libdfx
Standards-Version: 4.6.0
Priority: optional
Section: libdevel
Maintainer: Loïc Minier <loic.minier@ubuntu.com>
Uploaders: John Toomey <john.toomey@amd.com>
Build-Depends: cmake, debhelper-compat (= 13)
Description: library to configure Progammable Logic on Xilinx FPGAs

Package: libdfx-dev
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, libdfx1.0 (= ${binary:Version})
Description: library to configure Progammable Logic on Xilinx FPGAs - development files
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Progammable Logic
 part of Xilinx FPGAs.
 .
 This package provides the development files.

Package: libdfx1.0
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to configure Progammable Logic on Xilinx FPGAs - shared library
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Progammable Logic
 part of Xilinx FPGAs.
 .
 This package provides the shared library.
