## libdfx 2023.2

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #***************************************************************
 #* Copyright (c) 2020 Xilinx, Inc.  All rights reserved.
+#* Copyright (C) 2023, Advanced Micro Devices, Inc. All Rights Reserved.
 #* SPDX-License-Identifier: MIT
 #***************************************************************
