=== debian/changelog ===
libdfx (2023.2-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:55 +1100

libdfx (2023.2-0ubuntu3) noble; urgency=medium

  * Initial upload to Ubuntu archive (LP: #2039164)
    - 2023.2-0ubuntu3 is newer version than the one we have in limerick
      team ppa

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 19 Feb 2024 14:06:49 +0100
