=== debian/control ===
Source: libdfx
Standards-Version: 4.6.2
Priority: optional
Section: libdevel
Homepage: https://github.com/Xilinx/libdfx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
Build-Depends: cmake, debhelper-compat (= 13)
Description: library to configure Programmable Logic on Xilinx FPGAs
Rules-Requires-Root: no

Package: libdfx-dev
Architecture: any
Depends: libdfx1.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: library to configure Programmable Logic on Xilinx FPGAs - development files
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Programmable Logic
 part of Xilinx FPGAs.
 .
 This package provides the development files.

Package: libdfx1.0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to configure Programmable Logic on Xilinx FPGAs - shared library
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Programmable Logic
 part of Xilinx FPGAs.
 .
 This package provides the shared library.
