=== debian/changelog ===
libdfx (2024.2.0-0ubuntu1~24.04.1) noble; urgency=medium

  * SRU 2024.2.0 back to noble (LP: #2106333)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 09 May 2025 07:04:03 +0000

libdfx (2024.2.0-0ubuntu1) plucky; urgency=medium

  * Update to new upstream version 2024.2.0 (LP: #2097358)
    - d/libdfx1.0.symbols: added new symbol dfx_cfg_init_file
  * d/gbp.conf: create gbp configuration file

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 04 Feb 2025 13:22:14 +0100
