=== debian/tests/control ===
Tests: build
Depends: gcc, libdfx-dev
Restrictions: superficial
