=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Xilinx/libdfx.git \
refs/tags/([\d\.]+) debian uupdate
